/*
 *
 *
 */
#ifndef __USBHW_H__
#define __USBHW_H__

/*
 * index for USB_Jump_Table[]
 */
#define USB_JT_POWER    0
#define USB_JT_RESET    1
#define USB_JT_SUSPEND  2
#define USB_JT_RESUME   3
#define USB_JT_SOF      4
#define USB_JT_ERROR    5
#define N_JT           6

/*
 * USB Error Codes
 */
#define USB_ERR_PID         1  /* PID Encoding Error */
#define USB_ERR_CRC         2  /* Packet CRC Error */
#define USB_ERR_BIT_STUFF   3  /* Bit Stuff Error */
#define USB_ERR_TIMEOUT     4  /* Bus Time-out Error */
#define USB_ERR_EOP         5  /* End of Packet Error */
#define USB_ERR_DATA_TOGGLE 6  /* Data Toggle Error */
#define USB_ERR_BABBLE      7  /* Babble Error */
#define USB_ERR_LOA         8  /* Loss of Activity Error */

/*
 * LPC2148 has 32 Endpoints in total
 */
#define LPC_N_EP     32

/*
 * USB Enpoint Callback Events
 */
#define USB_EVT_SETUP       1
#define USB_EVT_OUT         2
#define USB_EVT_IN          3
#define USB_EVT_OUT_NAK     4
#define USB_EVT_IN_NAK      5
#define USB_EVT_OUT_STALL   6
#define USB_EVT_IN_STALL    7


#endif  /* __USBHW_H__ */
